<template>
    <div>
        <p>Main menu component</p>
        <p><input type="text" v-model="name"></p>
        <button @click="$emit('closeMenu',name)">Close Menu</button>
    </div>
</template>

<script>
    export default {
        name:'MainMenu',
        // emits:['closeMenu'],
        emits:{
            closeMenu(name){
                if(!name){
                    return false
                }
                else{
                    return true
                }
            }
        },
        data(){
            return{
                name: ''
            }
        },
    }
</script>